gwt, jetty and source level problem

Hello,

i have a project running GWT, with testing/debugging in hosted mode via jetty, as per standard.

I have just tried to change my start file from a html to jsp since i need to set some locales when logging in.

This doesn't work for me, unfortunately, since i get a lot of compiler errors since it's trying to compile with a level below 1.5. Basically i get lots of the following errors:

Syntax error, parameterized types are only available if source level is 1.5
Syntax error, annotations are only available if source level is 1.5

etc.

I have looked around, but i have been unable to find a way to change the jetty compiler source level for my GWT module.


Pointers are much appreciated.

Cheers,

2 comments
Comment actions Permalink

Looks like the problem is caused by bug in GWT (http://code.google.com/p/google-web-toolkit/issues/detail?id=3557). This issue is marked as fixed but
the patch proposed in it wasn't applied to the GWT source code so I think it's marked as fixed by mistake.
Anyway the workaround described in the issue (with JDTCompiler15 class) works for me.

--
Nikolay Chashnikov
Software Developer
JetBrains, Inc
http://www.jetbrains.com
"Develop with pleasure!"

0
Comment actions Permalink

Ooo thanks mate, missed the gwt issues, it works swell!

0

Please sign in to leave a comment.